# Uses of Class
org.apache.sysds.runtime.instructions.spark.BinarySPInstruction

Packages that use BinarySPInstruction
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.spark

## Uses of BinarySPInstruction in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type BinarySPInstruction
Modifier and Type
Method
Description
`static double`
SparkCostUtils.`getMatMulInstTime(BinarySPInstruction inst, VarStats input1, VarStats input2, VarStats output, IOCostUtils.IOMetrics driverMetrics, IOCostUtils.IOMetrics executorMetrics)`

## Uses of BinarySPInstruction in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type BinarySPInstruction
Modifier and Type
Method
Description
`static BinaryFEDInstruction`
BinaryFEDInstruction.`parseInstruction(BinarySPInstruction inst, ExecutionContext ec)`

## Uses of BinarySPInstruction in org.apache.sysds.runtime.instructions.spark

Subclasses of BinarySPInstruction in org.apache.sysds.runtime.instructions.spark
Modifier and Type
Class
Description
`class`
`AggregateBinarySPInstruction`
Class to group the different MM `SPInstruction`s together.
`class`
`AppendGAlignedSPInstruction`
`class`
`AppendGSPInstruction`
`class`
`AppendMSPInstruction`
`class`
`AppendRSPInstruction`
`class`
`AppendSPInstruction`
Class to group the different append `SPInstruction`s together.
`class`
`BinaryFrameFrameSPInstruction`
`class`
`BinaryFrameMatrixSPInstruction`
`class`
`BinaryMatrixBVectorSPInstruction`
`class`
`BinaryMatrixMatrixSPInstruction`
`class`
`BinaryMatrixScalarSPInstruction`
`class`
`BinaryTensorTensorBroadcastSPInstruction`
`class`
`BinaryTensorTensorSPInstruction`
`class`
`CovarianceSPInstruction`
`class`
`CpmmSPInstruction`
Cpmm: cross-product matrix multiplication operation (distributed matrix multiply by join over common dimension and subsequent aggregation of partial results).
`class`
`CumulativeOffsetSPInstruction`
`class`
`FrameAppendMSPInstruction`
`class`
`FrameAppendRSPInstruction`
`class`
`MapmmSPInstruction`
`class`
`MatrixAppendMSPInstruction`
`class`
`MatrixAppendRSPInstruction`
`class`
`PMapmmSPInstruction`
This pmapmm matrix multiplication instruction is still experimental not integrated in automatic operator selection yet.
`class`
`PmmSPInstruction`
`class`
`QuantilePickSPInstruction`
`class`
`RmmSPInstruction`
`class`
`UaggOuterChainSPInstruction`
Two types of broadcast variables used -- 1.
`class`
`ZipmmSPInstruction`
Methods in org.apache.sysds.runtime.instructions.spark that return BinarySPInstruction
Modifier and Type
Method
Description
`static BinarySPInstruction`
BinarySPInstruction.`parseInstruction(String str)`